=== added directory 'price_structure'
=== added file 'price_structure/__init__.py'
--- price_structure/__init__.py	1970-01-01 00:00:00 +0000
+++ price_structure/__init__.py	2013-03-20 19:12:38 +0000
@@ -0,0 +1,2 @@
+import model
+import wizard

=== added file 'price_structure/__openerp__.py'
--- price_structure/__openerp__.py	1970-01-01 00:00:00 +0000
+++ price_structure/__openerp__.py	2013-03-20 19:12:38 +0000
@@ -0,0 +1,60 @@
+#!/usr/bin/python
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) Vauxoo (<http://vauxoo.com>).
+#    All Rights Reserved
+###############Credits######################################################
+#    Coded by: Vauxoo C.A.           
+#    Planified by: Nhomar Hernandez
+#    Audited by: Vauxoo C.A.
+#############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+################################################################################
+{
+    "name" : "Price Structure",
+    "version" : "0.1",
+    "depends" : ['product','sale','cost_structure'],
+    "author" : "Vauxoo",
+    "description" : """
+   This module adds a new functionality to manage price lists for products adding a new tab on the product 
+   view where you can see the price lists where this product is affected either by product or by category.
+
+   It also adds a new feature to the time of a sale, allowing you to choose a price list through which Live 
+   will calculate to give a product price depending on the price list q be selected, regardless of whether 
+   the list price selected at the beginning of the order.
+
+   This also adds a blockade preventing sold when selling a product at a price higher or lower than estimated 
+   by their price lists
+    
+    """,
+    "website" : "http://vauxoo.com",
+    "category" : "Generic Modules",
+    "init_xml" : [],
+    "demo_xml" : [],
+    "test": [ ],
+    "update_xml" : [
+    'view/product_view.xml',
+    'view/sale_view.xml',
+    'view/product_pricelist_view.xml',
+    'workflow/sale_workflow.xml',
+    'wizard/create_list_price_view.xml',
+    
+    
+    
+    
+    ],
+    "active": False,
+    "installable": True,
+}

=== added directory 'price_structure/data'
=== added directory 'price_structure/demo'
=== added directory 'price_structure/i18n'
=== added file 'price_structure/i18n/es.po'
--- price_structure/i18n/es.po	1970-01-01 00:00:00 +0000
+++ price_structure/i18n/es.po	2013-03-20 19:12:38 +0000
@@ -0,0 +1,855 @@
+# Translation of OpenERP Server.
+# This file contains the translation of the following modules:
+#	* cost_structure
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: OpenERP Server 6.0.3\n"
+"Report-Msgid-Bugs-To: support@openerp.com\n"
+"POT-Creation-Date: 2012-06-07 15:01+0000\n"
+"PO-Revision-Date: 2012-06-07 10:40-0400\n"
+"Last-Translator: Jose <jose@vauxoo.com>\n"
+"Language-Team: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: \n"
+
+#. module: cost_structure
+#: field:report.cost,price_subtotal:0
+msgid "Subtotal Price"
+msgstr "Sub-total del precio"
+
+#. module: cost_structure
+#: help:cost.structure,date_ult_om:0
+msgid "Date of last change to last UOM"
+msgstr "Fecha del ultimo cambio para la UDM"
+
+#. module: cost_structure
+#: code:addons/cost_structure/model/product_product.py:94
+#: code:addons/cost_structure/model/sale.py:165
+#, python-format
+msgid "Error"
+msgstr "Error"
+
+#. module: cost_structure
+#: field:method.price,arancel:0
+msgid "% Arancel"
+msgstr "% Arancel"
+
+#. module: cost_structure
+#: field:cost.structure,date_reg:0
+msgid "Registr Date"
+msgstr "Fecha de registro"
+
+#. module: cost_structure
+#: help:account.invoice.line,aux_financial:0
+msgid "Total financial at the time of the calculation of cost through the validation of this invoice"
+msgstr "Total financial at the time of the calculation of cost through the validation of this invoice"
+
+#. module: cost_structure
+#: field:sale.order.line,price_structure_id:0
+msgid "Select Price"
+msgstr "Selección de precio"
+
+#. module: cost_structure
+#: field:product.product,status_bool:0
+#: field:sale.order,status_bool:0
+#: field:sale.order,status_price:0
+msgid "Status Price"
+msgstr "Estado del Precio"
+
+#. module: cost_structure
+#: sql_constraint:sale.order:0
+msgid "Order Reference must be unique !"
+msgstr "¡La referencia del pedido debe ser única!"
+
+#. module: cost_structure
+#: view:cost.structure:0
+msgid "Method Price"
+msgstr "Metodo de precio"
+
+#. module: cost_structure
+#: view:cost.structure:0
+#: model:ir.actions.act_window,name:cost_structure.cost_action
+msgid "Cost and Price"
+msgstr "Costos y Precios"
+
+#. module: cost_structure
+#: field:cost.structure,company_id:0
+#: field:method.price,company_id:0
+msgid "Company"
+msgstr "Compañía"
+
+#. module: cost_structure
+#: view:update.price.list:0
+msgid "Update"
+msgstr "Update"
+
+#. module: cost_structure
+#: model:ir.model,name:cost_structure.model_report_cost
+msgid "report.cost"
+msgstr "report.cost"
+
+#. module: cost_structure
+#: field:compute.cost,lifo:0
+msgid "LIFO"
+msgstr "LIFO"
+
+#. module: cost_structure
+#: field:update.price.list,price_list_id:0
+msgid "Price List"
+msgstr "Price List"
+
+#. module: cost_structure
+#: help:cost.structure,type:0
+msgid "Structure cost type for this Product"
+msgstr "Estructura de Costo para este producto"
+
+#. module: cost_structure
+#: help:cost.structure,serial:0
+msgid "If Product have a Serial"
+msgstr "Seleccionado si el producto tiene serial"
+
+#. module: cost_structure
+#: help:account.invoice,cancel_check:0
+msgid "Fenield to indicate if invoice was canceled "
+msgstr "Fenield to indicate if invoice was canceled "
+
+#. module: cost_structure
+#: field:update.price.list,all:0
+msgid "All Price List"
+msgstr "All Price List"
+
+#. module: cost_structure
+#: field:compute.cost,all:0
+msgid "ALL"
+msgstr "Todo"
+
+#. module: cost_structure
+#: view:report.cost:0
+msgid "Report"
+msgstr "Reporte"
+
+#. module: cost_structure
+#: field:cost.structure,amount:0
+#: help:cost.structure,amount:0
+msgid "Amount"
+msgstr "Total"
+
+#. module: cost_structure
+#: help:compute.cost,categ:0
+msgid "To select compute by category"
+msgstr "Seleccione si desea calcular el costo por categoria"
+
+#. module: cost_structure
+#: help:cost.structure,date_ant_om:0
+msgid "Date of last change to ant UOM"
+msgstr "Fecha del ultimo cambio para la unidad de medida"
+
+#. module: cost_structure
+#: field:product.product,ult_om:0
+msgid "Ult UOM"
+msgstr "Ultima Unidad de Medida"
+
+#. module: cost_structure
+#: help:cost.structure,date_reg:0
+msgid "Date of registre creation"
+msgstr "Fecha en la cual fue registrada esta estructura de costo"
+
+#. module: cost_structure
+#: field:method.price,price_referen:0
+#: help:method.price,price_referen:0
+msgid "Price Reference"
+msgstr "Precio de referencia"
+
+#. module: cost_structure
+#: field:cost.structure,qty_ant:0
+#: field:product.product,qty_ant:0
+msgid "Ant Qty"
+msgstr "Cantidad Anterior "
+
+#. module: cost_structure
+#: field:cost.structure,min_margin:0
+#: field:method.price,min_margin:0
+msgid "% Margin"
+msgstr "% Margen"
+
+#. module: cost_structure
+#: model:ir.model,name:cost_structure.model_sale_order
+msgid "Sales Order"
+msgstr "Pedido de venta"
+
+#. module: cost_structure
+#: help:account.invoice.line,aux_qty:0
+msgid "Current Number of calculating the time cost to this invoice"
+msgstr "Fecha con tiempo para el calculo de costo en la factura"
+
+#. module: cost_structure
+#: model:ir.actions.act_window,name:cost_structure.repor_cost_action
+#: model:ir.ui.menu,name:cost_structure.report_cost
+msgid "Report Cost"
+msgstr "Reporte de Costo"
+
+#. module: cost_structure
+#: code:addons/cost_structure/wizard/compute_cost.py:319
+#, python-format
+msgid "Impossible to calculate the actual cost, because the invoice '%s'                                                              #~ does not have a valid date format, to place its cost at                                                             #~ the time of sale "
+msgstr "Imposible calcular el costo actual debido a que la factura  '%s'                                                              #~ No tiene un                                                        #~ the time of sale "
+
+#. module: cost_structure
+#: field:method.price,reference_cost_structure_id:0
+msgid "Cost Structure2"
+msgstr "Cost Structure2"
+
+#. module: cost_structure
+#: field:compute.cost,fifo:0
+msgid "FIFO"
+msgstr "FIFO"
+
+#. module: cost_structure
+#: help:cost.structure,date_cost_prom:0
+msgid "Date of last change to avarage cost"
+msgstr "Fecha del ultimo cambio para el costo promedio"
+
+#. module: cost_structure
+#: selection:report.cost,type_inv:0
+msgid "Supplier Invoice"
+msgstr "Factura de Proveedor"
+
+#. module: cost_structure
+#: field:cost.structure,type:0
+#: field:report.cost,type_inv:0
+msgid "Type"
+msgstr "Tipo"
+
+#. module: cost_structure
+#: field:product.product,cost_ult:0
+#: help:product.product,cost_ult:0
+#: field:report.cost,last_cost:0
+msgid "Last Cost"
+msgstr "Costo Actual"
+
+#. module: cost_structure
+#: field:report.cost,date:0
+msgid "Date Invoice"
+msgstr "Fecha de Factura"
+
+#. module: cost_structure
+#: field:compute.cost,categ_ids:0
+msgid "Product Category"
+msgstr "Categoría de Producto"
+
+#. module: cost_structure
+#: selection:cost.structure,cost_to_price:0
+msgid "Costo Anterior"
+msgstr "Costo Anterior"
+
+#. module: cost_structure
+#: help:cost.structure,qty_ant:0
+msgid "Quantity above, I had this product before the new calculation"
+msgstr "Cantidad anterior, la cantidad que tenia este producto antes de su ultimo calculo de costo"
+
+#. module: cost_structure
+#: field:account.invoice.line,aux_financial:0
+msgid "Total Financial aux"
+msgstr "Total Financial aux"
+
+#. module: cost_structure
+#: field:product.product,prom_om:0
+msgid "UOM Prom"
+msgstr "UDM Promedio"
+
+#. module: cost_structure
+#: field:report.cost,quantity:0
+msgid "# of Products"
+msgstr "# de Productos"
+
+#. module: cost_structure
+#: code:addons/cost_structure/wizard/compute_cost.py:79
+#: code:addons/cost_structure/wizard/compute_cost.py:319
+#, python-format
+msgid "Invalid action !"
+msgstr "Acción Invalida"
+
+#. module: cost_structure
+#: help:compute.cost,fifo:0
+msgid "To compute cost FIFO for products"
+msgstr "Calculo de Costo FIFO para productos "
+
+#. module: cost_structure
+#: help:method.price,arancel:0
+msgid "Porcent Arancel"
+msgstr "Porcentaje de arancel"
+
+#. module: cost_structure
+#: help:cost.structure,date_cost_ult:0
+msgid "Date of last change to last cost"
+msgstr "Fecha del ultimo cambio para el ultimo costo"
+
+#. module: cost_structure
+#: model:ir.model,name:cost_structure.model_compute_cost
+msgid "compute.cost"
+msgstr "compute.cost"
+
+#. module: cost_structure
+#: model:ir.model,name:cost_structure.model_update_price_list
+msgid "update.price.list"
+msgstr "update.price.list"
+
+#. module: cost_structure
+#: code:addons/cost_structure/model/product_product.py:94
+#, python-format
+msgid "The product already has a cost structure"
+msgstr "El producto que esta modificando ya posee una estructura de costo asignada"
+
+#. module: cost_structure
+#: field:account.invoice.line,aux_qty:0
+msgid "Total Qty"
+msgstr "Total Qty"
+
+#. module: cost_structure
+#: field:product.product,property_cost_structure:0
+msgid "Cost and Price Structure"
+msgstr "Estructura de costos y precios"
+
+#. module: cost_structure
+#: model:ir.ui.menu,name:cost_structure.update_price_list_wz
+#: model:ir.ui.menu,name:cost_structure.update_price_list_wz2
+msgid "Update Price List"
+msgstr "Actualizar lista de precio"
+
+#. module: cost_structure
+#: field:method.price,margin:0
+#: field:method.price,margin_reference:0
+msgid "Margin"
+msgstr "Margen"
+
+#. module: cost_structure
+#: field:product.product,cost_prom:0
+#: field:product.product,cost_to_price:0
+msgid "Average Cost"
+msgstr "Costo promedio"
+
+#. module: cost_structure
+#: help:compute.cost,period_id:0
+msgid "Period to search invoice between indicated period"
+msgstr "Periodo en el cual se buscaran movimientos para realizar el calculo de costo"
+
+#. module: cost_structure
+#: view:compute.cost:0
+#: model:ir.actions.act_window,name:cost_structure.compute_costs_action
+#: model:ir.ui.menu,name:cost_structure.compute_cost_wz
+#: model:ir.ui.menu,name:cost_structure.compute_cost_wz2
+msgid "Compute Costs"
+msgstr "Calculo de Costo"
+
+#. module: cost_structure
+#: model:ir.model,name:cost_structure.model_account_invoice_line
+msgid "Invoice Line"
+msgstr "Línea de factura"
+
+#. module: cost_structure
+#: selection:cost.structure,cost_to_price:0
+msgid "Costo Promedio"
+msgstr "Costo Promedio"
+
+#. module: cost_structure
+#: selection:cost.structure,cost_to_price:0
+msgid "Costo Proveedor"
+msgstr "Costo Proveedor"
+
+#. module: cost_structure
+#: help:product.product,property_cost_structure:0
+msgid "For the current product, this cost and price strucuture will define how the behavior of the price and cost computation "
+msgstr "Para que el producto actual, esta strucuture costo y el precio se define cómo el comportamiento de los precios y el cálculo de costos"
+
+#. module: cost_structure
+#: field:cost.structure,serial:0
+msgid "Serial"
+msgstr "Serial"
+
+#. module: cost_structure
+#: field:compute.cost,categ:0
+msgid "Category"
+msgstr "Categoria"
+
+#. module: cost_structure
+#: selection:report.cost,type_inv:0
+msgid "Customer Refund"
+msgstr "Nota de Crédito de cliente"
+
+#. module: cost_structure
+#: field:cost.structure,cost_to_price:0
+msgid "Type Cost"
+msgstr "Tipo de Costo"
+
+#. module: cost_structure
+#: view:product.product:0
+msgid "Landing Information"
+msgstr "Información extendida"
+
+#. module: cost_structure
+#: field:update.price.list,sure:0
+msgid "Sure?"
+msgstr "Esta usted seguro?"
+
+#. module: cost_structure
+#: selection:cost.structure,cost_to_price:0
+msgid "Ultimo Costo"
+msgstr "Ultimo Costo"
+
+#. module: cost_structure
+#: help:compute.cost,fiscalyear_id:0
+msgid "Fiscal Year to search invoice between indicated period"
+msgstr "Año fiscal para buscar facturas entre el periodo indicado"
+
+#. module: cost_structure
+#: model:ir.model,name:cost_structure.model_cost_structure
+msgid "cost.structure"
+msgstr "cost.structure"
+
+#. module: cost_structure
+#: field:cost.structure,method_cost_ids:0
+#: model:ir.actions.act_window,name:cost_structure.method_action
+msgid "Cost Method"
+msgstr "Metodo de costo"
+
+#. module: cost_structure
+#: help:cost.structure,cost_to_price:0
+msgid "Product type"
+msgstr "Tipo de producto"
+
+#. module: cost_structure
+#: view:method.price:0
+#: view:report.cost:0
+msgid "Method"
+msgstr "Método "
+
+#. module: cost_structure
+#: field:cost.structure,cost_ant:0
+#: field:product.product,cost_ant:0
+msgid "Ant Cost"
+msgstr "Ultimo Costo"
+
+#. module: cost_structure
+#: field:cost.structure,ant_om:0
+msgid "Measuring unit above of this product obtained in the invoice from cost compute"
+msgstr "Unidad de medida promedia para este producto seleccionada en las facturas al momento de realizar el costo del producto"
+
+#. module: cost_structure
+#: help:cost.structure,min_margin:0
+#: help:method.price,min_margin:0
+msgid "Porcent Margin Min"
+msgstr "Porcentaje de margen minimo "
+
+#. module: cost_structure
+#: selection:cost.structure,type:0
+msgid "Venta"
+msgstr "Venta"
+
+#. module: cost_structure
+#: model:ir.module.module,shortdesc:cost_structure.module_meta_information
+#: field:method.price,cost_structure_id:0
+#: field:sale.order.line,cost_structure_id:0
+msgid "Cost Structure"
+msgstr "Cost Structure"
+
+#. module: cost_structure
+#: selection:cost.structure,type:0
+msgid "Compra"
+msgstr "Compra"
+
+#. module: cost_structure
+#: model:ir.model,name:cost_structure.model_sale_order_line
+msgid "Sales Order Line"
+msgstr "Línea pedido de venta"
+
+#. module: cost_structure
+#: code:addons/cost_structure/wizard/compute_cost.py:79
+#, python-format
+msgid "Impossible to calculate FIFO not have invoices in this period  "
+msgstr "Imposible realizar el calculo FIFO debido a que no posee facturas en el periodo indicado"
+
+#. module: cost_structure
+#: view:compute.cost:0
+msgid "Compute"
+msgstr "Cálculo"
+
+#. module: cost_structure
+#: help:cost.structure,cost_ant:0
+msgid "Cost above, I had this product before the new calculation"
+msgstr "Costo anterior, es el costo que tenia este producto antes del nuevo calculo"
+
+#. module: cost_structure
+#: help:method.price,margin:0
+#: help:method.price,margin_reference:0
+msgid "Price Margin"
+msgstr "Margen de Precio"
+
+#. module: cost_structure
+#: model:ir.ui.menu,name:cost_structure.cost_price
+msgid "Cost  and Prices"
+msgstr "Costos y Precios"
+
+#. module: cost_structure
+#: field:cost.structure,date_ant_om:0
+#: field:cost.structure,date_cost_ant:0
+#: field:cost.structure,date_cost_prom:0
+#: field:cost.structure,date_cost_suppler:0
+#: field:cost.structure,date_cost_to_price:0
+#: field:cost.structure,date_cost_ult:0
+#: field:cost.structure,date_prom_om:0
+#: field:cost.structure,date_ult_om:0
+#: field:product.product,date_ant_om:0
+#: field:product.product,date_cost_ant:0
+#: field:product.product,date_cost_prom:0
+#: field:product.product,date_cost_suppler:0
+#: field:product.product,date_cost_to_price:0
+#: field:product.product,date_cost_ult:0
+#: field:product.product,date_prom_om:0
+#: field:product.product,date_ult_om:0
+msgid "Date"
+msgstr "Fecha"
+
+#. module: cost_structure
+#: view:update.price.list:0
+msgid "Update List Price"
+msgstr "Update List Price"
+
+#. module: cost_structure
+#: constraint:product.product:0
+msgid "ERROR, Invalid UPC"
+msgstr "ERROR, El UPC indicado no es valido, verifique que cumpla con los parametros requeridos (Numerico y de 12 digitos)"
+
+#. module: cost_structure
+#: field:report.cost,uom_id:0
+msgid " UoM"
+msgstr " UoM"
+
+#. module: cost_structure
+#: help:update.price.list,sure:0
+msgid "Are sure this operation"
+msgstr "Esta seguro de que desea realizar esta operación?"
+
+#. module: cost_structure
+#: field:cost.structure,cost_ult:0
+msgid "Ult Cost"
+msgstr "Ultimo costo"
+
+#. module: cost_structure
+#: help:method.price,date_prom_end:0
+msgid "Compute Date Prom with end"
+msgstr "Calculo del promedio de fechas"
+
+#. module: cost_structure
+#: field:method.price,date_prom_end:0
+msgid "Date End"
+msgstr "Fecha final"
+
+#. module: cost_structure
+#: field:cost.structure,cost_prom:0
+msgid "Prom Cost"
+msgstr "Costo promedio"
+
+#. module: cost_structure
+#: help:compute.cost,categ_ids:0
+msgid "Select the category to compute cost"
+msgstr "Seleccione la categoría a la cual se le calculara el costo"
+
+#. module: cost_structure
+#: help:update.price.list,price_list_id:0
+msgid "Select the price list for price list Report"
+msgstr "Seleccione la lista de precio para la realizar el reporte de lista de precio"
+
+#. module: cost_structure
+#: model:ir.model,name:cost_structure.model_method_price
+msgid "method.price"
+msgstr "method.price"
+
+#. module: cost_structure
+#: field:method.price,sequence:0
+msgid "Sequence"
+msgstr "Secuencia"
+
+#. module: cost_structure
+#: field:compute.cost,period_id:0
+msgid "Period"
+msgstr "Period"
+
+#. module: cost_structure
+#: help:compute.cost,product_ids:0
+msgid "Select the product to compute cost"
+msgstr "Selecciones el producto para calcular el costo"
+
+#. module: cost_structure
+#: field:product.product,method_cost_ids:0
+msgid "Method Cost"
+msgstr "Metodo de Costo"
+
+#. module: cost_structure
+#: model:ir.model,name:cost_structure.model_account_invoice
+#: field:report.cost,invoice_id:0
+msgid "Invoice"
+msgstr "Factura"
+
+#. module: cost_structure
+#: field:account.invoice,cancel_check:0
+#: view:compute.cost:0
+msgid "Cancel"
+msgstr "Cancel"
+
+#. module: cost_structure
+#: view:update.price.list:0
+msgid "Close"
+msgstr "Cerrar"
+
+#. module: cost_structure
+#: view:update.price.list:0
+msgid "Price List by Product"
+msgstr "Lista de precio por producto"
+
+#. module: cost_structure
+#: help:compute.cost,all:0
+msgid "To compute cost for all products"
+msgstr "Para calcular el costo para todos los productos"
+
+#. module: cost_structure
+#: field:cost.structure,qty_ult:0
+#: field:product.product,qty_ult:0
+msgid "Last Qty"
+msgstr "Ultima cantidad "
+
+#. module: cost_structure
+#: selection:report.cost,type_inv:0
+msgid "Customer Invoice"
+msgstr "Facturas de Cliente"
+
+#. module: cost_structure
+#: field:cost.structure,cost_suppler:0
+#: help:cost.structure,cost_suppler:0
+#: field:product.product,cost_suppler:0
+msgid "Supplier Cost"
+msgstr "Costo para proveedor"
+
+#. module: cost_structure
+#: field:cost.structure,ult_om:0
+msgid "Measuring unit of this product obtained in the invoice from cost compute"
+msgstr "Unidad de medida de este producto, obtenidad en la facturas desde el calculo de costo"
+
+#. module: cost_structure
+#: help:cost.structure,date_cost_suppler:0
+msgid "Date of last change to Supplier cost"
+msgstr "Fecha del ultimo cambio para los costos del proveedor"
+
+#. module: cost_structure
+#: help:method.price,sequence:0
+msgid "Sequence that determines the type of sales price, dependediendo customer type (Type 1, Type 2 ...)"
+msgstr "Secuencia que determina el tipo del precio de venta, dependiendo del tipo de cliente (Tipo 1, Tipo2 ...)"
+
+#. module: cost_structure
+#: field:report.cost,price_unit:0
+msgid "Unit Price"
+msgstr "Precio Unitario"
+
+#. module: cost_structure
+#: view:product.product:0
+msgid "Advance Options"
+msgstr "Opciones avanzadas"
+
+#. module: cost_structure
+#: field:compute.cost,product:0
+#: field:compute.cost,product_ids:0
+#: model:ir.model,name:cost_structure.model_product_product
+#: field:report.cost,product_id:0
+msgid "Product"
+msgstr "Producto"
+
+#. module: cost_structure
+#: field:cost.structure,prom_om:0
+msgid "Measuring unit average in move all"
+msgstr "Unidad de medida promedio en todos los movimientos "
+
+#. module: cost_structure
+#: field:cost.structure,description:0
+msgid "Description"
+msgstr "Descripción"
+
+#. module: cost_structure
+#: help:cost.structure,description:0
+msgid "Product Description"
+msgstr "Descripción del producto"
+
+#. module: cost_structure
+#: view:report.cost:0
+msgid "Price"
+msgstr "Price"
+
+#. module: cost_structure
+#: view:cost.structure:0
+#: view:product.product:0
+msgid "Costos"
+msgstr "Costos"
+
+#. module: cost_structure
+#: field:method.price,date:0
+msgid "Creation date"
+msgstr "Fecha de creación"
+
+#. module: cost_structure
+#: view:report.cost:0
+msgid "Cost"
+msgstr "Costo"
+
+#. module: cost_structure
+#: model:ir.actions.act_window,name:cost_structure.update_price_list_action
+msgid "Price List update"
+msgstr "Actualizar lista de precio"
+
+#. module: cost_structure
+#: help:compute.cost,lifo:0
+msgid "To compute cost LIFO for products"
+msgstr "Para calcular el costo FIFO por producto"
+
+#. module: cost_structure
+#: help:cost.structure,qty_ult:0
+msgid "Last Qty with compute the actual cost"
+msgstr "Ultima cantidad con la que se calculo el costo actual"
+
+#. module: cost_structure
+#: help:compute.cost,product:0
+msgid "To select compute by product"
+msgstr "Seleccion para calcular por producto"
+
+#. module: cost_structure
+#: help:method.price,unit_price:0
+msgid "Price Unit to sale"
+msgstr "Precio unitario de venta"
+
+#. module: cost_structure
+#: field:product.product,ant_om:0
+msgid "UOM Ant"
+msgstr "Ultima UDM"
+
+#. module: cost_structure
+#: help:cost.structure,date_cost_to_price:0
+msgid "Date of last change to selection cost"
+msgstr "Fecha del ultimo cambio para la selección de costo"
+
+#. module: cost_structure
+#: field:method.price,date_prom_begin:0
+msgid "Date Prom"
+msgstr "Fecha promedio"
+
+#. module: cost_structure
+#: constraint:account.invoice:0
+msgid "The Document you have been entering for this Partner has already been recorded"
+msgstr "El documento que esta intentando ingresar ya ha sido grabado en el sistema "
+
+#. module: cost_structure
+#: model:ir.model,name:cost_structure.model_account_invoice_refund
+msgid "Invoice Refund"
+msgstr "Abono factura"
+
+#. module: cost_structure
+#: model:ir.module.module,description:cost_structure.module_meta_information
+msgid ""
+"\n"
+"    Module that performs a calculation of average cost in products, \n"
+"    this module performs a search of all movements made by you for goods \n"
+"    and are assigned to cost structure.\n"
+"    This module creates a new tab in the product view, where we have the cost structure for product and price list.\n"
+"    The average cost is calculated automatically when validating an invoice or credit note, the price list is created \n"
+"    by a wizard located in the sales configuration menu.\n"
+"    The product has a list price, the sale must respect the price structure proposed by the calculation, since you will\n"
+"    not be allowed the confirmation of an operation if any of the suggested prices is not in accordance with the established ragos product price list.\n"
+"    In the menu of sale may select which type of price you want to sell the product\n"
+"    \n"
+"    \n"
+"    \n"
+"    \n"
+"    \n"
+"    "
+msgstr ""
+"\n"
+"    Module that performs a calculation of average cost in products, \n"
+"    this module performs a search of all movements made by you for goods \n"
+"    and are assigned to cost structure.\n"
+"    This module creates a new tab in the product view, where we have the cost structure for product and price list.\n"
+"    The average cost is calculated automatically when validating an invoice or credit note, the price list is created \n"
+"    by a wizard located in the sales configuration menu.\n"
+"    The product has a list price, the sale must respect the price structure proposed by the calculation, since you will\n"
+"    not be allowed the confirmation of an operation if any of the suggested prices is not in accordance with the established ragos product price list.\n"
+"    In the menu of sale may select which type of price you want to sell the product\n"
+"    \n"
+"    \n"
+"    \n"
+"    \n"
+"    \n"
+"    "
+
+#. module: cost_structure
+#: help:cost.structure,cost_ult:0
+msgid "Actual cost compute for this product"
+msgstr "Costo actual calculado para este producto"
+
+#. module: cost_structure
+#: field:compute.cost,fiscalyear_id:0
+msgid "Fiscal Year"
+msgstr "Año fiscal"
+
+#. module: cost_structure
+#: field:method.price,unit_price:0
+msgid "Price Unit"
+msgstr "Precio unitario"
+
+#. module: cost_structure
+#: field:report.cost,line_id:0
+msgid "Linea"
+msgstr "Linea"
+
+#. module: cost_structure
+#: help:cost.structure,date_cost_ant:0
+msgid "Date of last change to ant cost"
+msgstr "Fecha del ultimo cambio para el ultimo costo"
+
+#. module: cost_structure
+#: help:update.price.list,all:0
+msgid "Select this options only if you wish update all price list"
+msgstr "Seleccione esta opción solo si desea actualizar todas las listas de precio en los productos"
+
+#. module: cost_structure
+#: help:cost.structure,cost_prom:0
+msgid "Avarage Cost for this product"
+msgstr "Costo promedio para este producto"
+
+#. module: cost_structure
+#: help:cost.structure,date_prom_om:0
+msgid "Date of last change to avarage UOM"
+msgstr "Fecha del ultimo cambio para la UDM promedio"
+
+#. module: cost_structure
+#: constraint:product.product:0
+msgid "Error: Invalid ean code"
+msgstr "Error: Código EAN erróneo"
+
+#. module: cost_structure
+#: constraint:product.product:0
+msgid "ERROR, product already exists for this company"
+msgstr "ERROR, el producto ya existe para esta compañia "
+
+#. module: cost_structure
+#: selection:report.cost,type_inv:0
+msgid "Supplier Refund"
+msgstr "Nota de credito de compra"
+
+#. module: cost_structure
+#: help:method.price,date_prom_begin:0
+msgid "Compute Date Prom"
+msgstr "Calculo de fecha promedio"
+
+#. module: cost_structure
+#: field:compute.cost,bolfili:0
+msgid "Boolean FIFO LIFO"
+msgstr "Boolean FIFO LIFO"
+

=== added file 'price_structure/i18n/es_VE.po'
--- price_structure/i18n/es_VE.po	1970-01-01 00:00:00 +0000
+++ price_structure/i18n/es_VE.po	2013-03-20 19:12:38 +0000
@@ -0,0 +1,855 @@
+# Translation of OpenERP Server.
+# This file contains the translation of the following modules:
+#	* cost_structure
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: OpenERP Server 6.0.3\n"
+"Report-Msgid-Bugs-To: support@openerp.com\n"
+"POT-Creation-Date: 2012-06-07 15:01+0000\n"
+"PO-Revision-Date: 2012-06-07 10:40-0400\n"
+"Last-Translator: Jose <jose@vauxoo.com>\n"
+"Language-Team: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: \n"
+
+#. module: cost_structure
+#: field:report.cost,price_subtotal:0
+msgid "Subtotal Price"
+msgstr "Sub-total del precio"
+
+#. module: cost_structure
+#: help:cost.structure,date_ult_om:0
+msgid "Date of last change to last UOM"
+msgstr "Fecha del ultimo cambio para la UDM"
+
+#. module: cost_structure
+#: code:addons/cost_structure/model/product_product.py:94
+#: code:addons/cost_structure/model/sale.py:165
+#, python-format
+msgid "Error"
+msgstr "Error"
+
+#. module: cost_structure
+#: field:method.price,arancel:0
+msgid "% Arancel"
+msgstr "% Arancel"
+
+#. module: cost_structure
+#: field:cost.structure,date_reg:0
+msgid "Registr Date"
+msgstr "Fecha de registro"
+
+#. module: cost_structure
+#: help:account.invoice.line,aux_financial:0
+msgid "Total financial at the time of the calculation of cost through the validation of this invoice"
+msgstr "Total financial at the time of the calculation of cost through the validation of this invoice"
+
+#. module: cost_structure
+#: field:sale.order.line,price_structure_id:0
+msgid "Select Price"
+msgstr "Selección de precio"
+
+#. module: cost_structure
+#: field:product.product,status_bool:0
+#: field:sale.order,status_bool:0
+#: field:sale.order,status_price:0
+msgid "Status Price"
+msgstr "Estado del Precio"
+
+#. module: cost_structure
+#: sql_constraint:sale.order:0
+msgid "Order Reference must be unique !"
+msgstr "¡La referencia del pedido debe ser única!"
+
+#. module: cost_structure
+#: view:cost.structure:0
+msgid "Method Price"
+msgstr "Metodo de precio"
+
+#. module: cost_structure
+#: view:cost.structure:0
+#: model:ir.actions.act_window,name:cost_structure.cost_action
+msgid "Cost and Price"
+msgstr "Costos y Precios"
+
+#. module: cost_structure
+#: field:cost.structure,company_id:0
+#: field:method.price,company_id:0
+msgid "Company"
+msgstr "Compañía"
+
+#. module: cost_structure
+#: view:update.price.list:0
+msgid "Update"
+msgstr "Update"
+
+#. module: cost_structure
+#: model:ir.model,name:cost_structure.model_report_cost
+msgid "report.cost"
+msgstr "report.cost"
+
+#. module: cost_structure
+#: field:compute.cost,lifo:0
+msgid "LIFO"
+msgstr "LIFO"
+
+#. module: cost_structure
+#: field:update.price.list,price_list_id:0
+msgid "Price List"
+msgstr "Price List"
+
+#. module: cost_structure
+#: help:cost.structure,type:0
+msgid "Structure cost type for this Product"
+msgstr "Estructura de Costo para este producto"
+
+#. module: cost_structure
+#: help:cost.structure,serial:0
+msgid "If Product have a Serial"
+msgstr "Seleccionado si el producto tiene serial"
+
+#. module: cost_structure
+#: help:account.invoice,cancel_check:0
+msgid "Fenield to indicate if invoice was canceled "
+msgstr "Fenield to indicate if invoice was canceled "
+
+#. module: cost_structure
+#: field:update.price.list,all:0
+msgid "All Price List"
+msgstr "All Price List"
+
+#. module: cost_structure
+#: field:compute.cost,all:0
+msgid "ALL"
+msgstr "Todo"
+
+#. module: cost_structure
+#: view:report.cost:0
+msgid "Report"
+msgstr "Reporte"
+
+#. module: cost_structure
+#: field:cost.structure,amount:0
+#: help:cost.structure,amount:0
+msgid "Amount"
+msgstr "Total"
+
+#. module: cost_structure
+#: help:compute.cost,categ:0
+msgid "To select compute by category"
+msgstr "Seleccione si desea calcular el costo por categoria"
+
+#. module: cost_structure
+#: help:cost.structure,date_ant_om:0
+msgid "Date of last change to ant UOM"
+msgstr "Fecha del ultimo cambio para la unidad de medida"
+
+#. module: cost_structure
+#: field:product.product,ult_om:0
+msgid "Ult UOM"
+msgstr "Ultima Unidad de Medida"
+
+#. module: cost_structure
+#: help:cost.structure,date_reg:0
+msgid "Date of registre creation"
+msgstr "Fecha en la cual fue registrada esta estructura de costo"
+
+#. module: cost_structure
+#: field:method.price,price_referen:0
+#: help:method.price,price_referen:0
+msgid "Price Reference"
+msgstr "Precio de referencia"
+
+#. module: cost_structure
+#: field:cost.structure,qty_ant:0
+#: field:product.product,qty_ant:0
+msgid "Ant Qty"
+msgstr "Cantidad Anterior "
+
+#. module: cost_structure
+#: field:cost.structure,min_margin:0
+#: field:method.price,min_margin:0
+msgid "% Margin"
+msgstr "% Margen"
+
+#. module: cost_structure
+#: model:ir.model,name:cost_structure.model_sale_order
+msgid "Sales Order"
+msgstr "Pedido de venta"
+
+#. module: cost_structure
+#: help:account.invoice.line,aux_qty:0
+msgid "Current Number of calculating the time cost to this invoice"
+msgstr "Fecha con tiempo para el calculo de costo en la factura"
+
+#. module: cost_structure
+#: model:ir.actions.act_window,name:cost_structure.repor_cost_action
+#: model:ir.ui.menu,name:cost_structure.report_cost
+msgid "Report Cost"
+msgstr "Reporte de Costo"
+
+#. module: cost_structure
+#: code:addons/cost_structure/wizard/compute_cost.py:319
+#, python-format
+msgid "Impossible to calculate the actual cost, because the invoice '%s'                                                              #~ does not have a valid date format, to place its cost at                                                             #~ the time of sale "
+msgstr "Imposible calcular el costo actual debido a que la factura  '%s'                                                              #~ No tiene un                                                        #~ the time of sale "
+
+#. module: cost_structure
+#: field:method.price,reference_cost_structure_id:0
+msgid "Cost Structure2"
+msgstr "Cost Structure2"
+
+#. module: cost_structure
+#: field:compute.cost,fifo:0
+msgid "FIFO"
+msgstr "FIFO"
+
+#. module: cost_structure
+#: help:cost.structure,date_cost_prom:0
+msgid "Date of last change to avarage cost"
+msgstr "Fecha del ultimo cambio para el costo promedio"
+
+#. module: cost_structure
+#: selection:report.cost,type_inv:0
+msgid "Supplier Invoice"
+msgstr "Factura de Proveedor"
+
+#. module: cost_structure
+#: field:cost.structure,type:0
+#: field:report.cost,type_inv:0
+msgid "Type"
+msgstr "Tipo"
+
+#. module: cost_structure
+#: field:product.product,cost_ult:0
+#: help:product.product,cost_ult:0
+#: field:report.cost,last_cost:0
+msgid "Last Cost"
+msgstr "Costo Actual"
+
+#. module: cost_structure
+#: field:report.cost,date:0
+msgid "Date Invoice"
+msgstr "Fecha de Factura"
+
+#. module: cost_structure
+#: field:compute.cost,categ_ids:0
+msgid "Product Category"
+msgstr "Categoría de Producto"
+
+#. module: cost_structure
+#: selection:cost.structure,cost_to_price:0
+msgid "Costo Anterior"
+msgstr "Costo Anterior"
+
+#. module: cost_structure
+#: help:cost.structure,qty_ant:0
+msgid "Quantity above, I had this product before the new calculation"
+msgstr "Cantidad anterior, la cantidad que tenia este producto antes de su ultimo calculo de costo"
+
+#. module: cost_structure
+#: field:account.invoice.line,aux_financial:0
+msgid "Total Financial aux"
+msgstr "Total Financial aux"
+
+#. module: cost_structure
+#: field:product.product,prom_om:0
+msgid "UOM Prom"
+msgstr "UDM Promedio"
+
+#. module: cost_structure
+#: field:report.cost,quantity:0
+msgid "# of Products"
+msgstr "# de Productos"
+
+#. module: cost_structure
+#: code:addons/cost_structure/wizard/compute_cost.py:79
+#: code:addons/cost_structure/wizard/compute_cost.py:319
+#, python-format
+msgid "Invalid action !"
+msgstr "Acción Invalida"
+
+#. module: cost_structure
+#: help:compute.cost,fifo:0
+msgid "To compute cost FIFO for products"
+msgstr "Calculo de Costo FIFO para productos "
+
+#. module: cost_structure
+#: help:method.price,arancel:0
+msgid "Porcent Arancel"
+msgstr "Porcentaje de arancel"
+
+#. module: cost_structure
+#: help:cost.structure,date_cost_ult:0
+msgid "Date of last change to last cost"
+msgstr "Fecha del ultimo cambio para el ultimo costo"
+
+#. module: cost_structure
+#: model:ir.model,name:cost_structure.model_compute_cost
+msgid "compute.cost"
+msgstr "compute.cost"
+
+#. module: cost_structure
+#: model:ir.model,name:cost_structure.model_update_price_list
+msgid "update.price.list"
+msgstr "update.price.list"
+
+#. module: cost_structure
+#: code:addons/cost_structure/model/product_product.py:94
+#, python-format
+msgid "The product already has a cost structure"
+msgstr "El producto que esta modificando ya posee una estructura de costo asignada"
+
+#. module: cost_structure
+#: field:account.invoice.line,aux_qty:0
+msgid "Total Qty"
+msgstr "Total Qty"
+
+#. module: cost_structure
+#: field:product.product,property_cost_structure:0
+msgid "Cost and Price Structure"
+msgstr "Estructura de costos y precios"
+
+#. module: cost_structure
+#: model:ir.ui.menu,name:cost_structure.update_price_list_wz
+#: model:ir.ui.menu,name:cost_structure.update_price_list_wz2
+msgid "Update Price List"
+msgstr "Actualizar lista de precio"
+
+#. module: cost_structure
+#: field:method.price,margin:0
+#: field:method.price,margin_reference:0
+msgid "Margin"
+msgstr "Margen"
+
+#. module: cost_structure
+#: field:product.product,cost_prom:0
+#: field:product.product,cost_to_price:0
+msgid "Average Cost"
+msgstr "Costo promedio"
+
+#. module: cost_structure
+#: help:compute.cost,period_id:0
+msgid "Period to search invoice between indicated period"
+msgstr "Periodo en el cual se buscaran movimientos para realizar el calculo de costo"
+
+#. module: cost_structure
+#: view:compute.cost:0
+#: model:ir.actions.act_window,name:cost_structure.compute_costs_action
+#: model:ir.ui.menu,name:cost_structure.compute_cost_wz
+#: model:ir.ui.menu,name:cost_structure.compute_cost_wz2
+msgid "Compute Costs"
+msgstr "Calculo de Costo"
+
+#. module: cost_structure
+#: model:ir.model,name:cost_structure.model_account_invoice_line
+msgid "Invoice Line"
+msgstr "Línea de factura"
+
+#. module: cost_structure
+#: selection:cost.structure,cost_to_price:0
+msgid "Costo Promedio"
+msgstr "Costo Promedio"
+
+#. module: cost_structure
+#: selection:cost.structure,cost_to_price:0
+msgid "Costo Proveedor"
+msgstr "Costo Proveedor"
+
+#. module: cost_structure
+#: help:product.product,property_cost_structure:0
+msgid "For the current product, this cost and price strucuture will define how the behavior of the price and cost computation "
+msgstr "Para que el producto actual, esta strucuture costo y el precio se define cómo el comportamiento de los precios y el cálculo de costos"
+
+#. module: cost_structure
+#: field:cost.structure,serial:0
+msgid "Serial"
+msgstr "Serial"
+
+#. module: cost_structure
+#: field:compute.cost,categ:0
+msgid "Category"
+msgstr "Categoria"
+
+#. module: cost_structure
+#: selection:report.cost,type_inv:0
+msgid "Customer Refund"
+msgstr "Nota de Crédito de cliente"
+
+#. module: cost_structure
+#: field:cost.structure,cost_to_price:0
+msgid "Type Cost"
+msgstr "Tipo de Costo"
+
+#. module: cost_structure
+#: view:product.product:0
+msgid "Landing Information"
+msgstr "Información extendida"
+
+#. module: cost_structure
+#: field:update.price.list,sure:0
+msgid "Sure?"
+msgstr "Esta usted seguro?"
+
+#. module: cost_structure
+#: selection:cost.structure,cost_to_price:0
+msgid "Ultimo Costo"
+msgstr "Ultimo Costo"
+
+#. module: cost_structure
+#: help:compute.cost,fiscalyear_id:0
+msgid "Fiscal Year to search invoice between indicated period"
+msgstr "Año fiscal para buscar facturas entre el periodo indicado"
+
+#. module: cost_structure
+#: model:ir.model,name:cost_structure.model_cost_structure
+msgid "cost.structure"
+msgstr "cost.structure"
+
+#. module: cost_structure
+#: field:cost.structure,method_cost_ids:0
+#: model:ir.actions.act_window,name:cost_structure.method_action
+msgid "Cost Method"
+msgstr "Metodo de costo"
+
+#. module: cost_structure
+#: help:cost.structure,cost_to_price:0
+msgid "Product type"
+msgstr "Tipo de producto"
+
+#. module: cost_structure
+#: view:method.price:0
+#: view:report.cost:0
+msgid "Method"
+msgstr "Método "
+
+#. module: cost_structure
+#: field:cost.structure,cost_ant:0
+#: field:product.product,cost_ant:0
+msgid "Ant Cost"
+msgstr "Ultimo Costo"
+
+#. module: cost_structure
+#: field:cost.structure,ant_om:0
+msgid "Measuring unit above of this product obtained in the invoice from cost compute"
+msgstr "Unidad de medida promedia para este producto seleccionada en las facturas al momento de realizar el costo del producto"
+
+#. module: cost_structure
+#: help:cost.structure,min_margin:0
+#: help:method.price,min_margin:0
+msgid "Porcent Margin Min"
+msgstr "Porcentaje de margen minimo "
+
+#. module: cost_structure
+#: selection:cost.structure,type:0
+msgid "Venta"
+msgstr "Venta"
+
+#. module: cost_structure
+#: model:ir.module.module,shortdesc:cost_structure.module_meta_information
+#: field:method.price,cost_structure_id:0
+#: field:sale.order.line,cost_structure_id:0
+msgid "Cost Structure"
+msgstr "Cost Structure"
+
+#. module: cost_structure
+#: selection:cost.structure,type:0
+msgid "Compra"
+msgstr "Compra"
+
+#. module: cost_structure
+#: model:ir.model,name:cost_structure.model_sale_order_line
+msgid "Sales Order Line"
+msgstr "Línea pedido de venta"
+
+#. module: cost_structure
+#: code:addons/cost_structure/wizard/compute_cost.py:79
+#, python-format
+msgid "Impossible to calculate FIFO not have invoices in this period  "
+msgstr "Imposible realizar el calculo FIFO debido a que no posee facturas en el periodo indicado"
+
+#. module: cost_structure
+#: view:compute.cost:0
+msgid "Compute"
+msgstr "Cálculo"
+
+#. module: cost_structure
+#: help:cost.structure,cost_ant:0
+msgid "Cost above, I had this product before the new calculation"
+msgstr "Costo anterior, es el costo que tenia este producto antes del nuevo calculo"
+
+#. module: cost_structure
+#: help:method.price,margin:0
+#: help:method.price,margin_reference:0
+msgid "Price Margin"
+msgstr "Margen de Precio"
+
+#. module: cost_structure
+#: model:ir.ui.menu,name:cost_structure.cost_price
+msgid "Cost  and Prices"
+msgstr "Costos y Precios"
+
+#. module: cost_structure
+#: field:cost.structure,date_ant_om:0
+#: field:cost.structure,date_cost_ant:0
+#: field:cost.structure,date_cost_prom:0
+#: field:cost.structure,date_cost_suppler:0
+#: field:cost.structure,date_cost_to_price:0
+#: field:cost.structure,date_cost_ult:0
+#: field:cost.structure,date_prom_om:0
+#: field:cost.structure,date_ult_om:0
+#: field:product.product,date_ant_om:0
+#: field:product.product,date_cost_ant:0
+#: field:product.product,date_cost_prom:0
+#: field:product.product,date_cost_suppler:0
+#: field:product.product,date_cost_to_price:0
+#: field:product.product,date_cost_ult:0
+#: field:product.product,date_prom_om:0
+#: field:product.product,date_ult_om:0
+msgid "Date"
+msgstr "Fecha"
+
+#. module: cost_structure
+#: view:update.price.list:0
+msgid "Update List Price"
+msgstr "Update List Price"
+
+#. module: cost_structure
+#: constraint:product.product:0
+msgid "ERROR, Invalid UPC"
+msgstr "ERROR, El UPC indicado no es valido, verifique que cumpla con los parametros requeridos (Numerico y de 12 digitos)"
+
+#. module: cost_structure
+#: field:report.cost,uom_id:0
+msgid " UoM"
+msgstr " UoM"
+
+#. module: cost_structure
+#: help:update.price.list,sure:0
+msgid "Are sure this operation"
+msgstr "Esta seguro de que desea realizar esta operación?"
+
+#. module: cost_structure
+#: field:cost.structure,cost_ult:0
+msgid "Ult Cost"
+msgstr "Ultimo costo"
+
+#. module: cost_structure
+#: help:method.price,date_prom_end:0
+msgid "Compute Date Prom with end"
+msgstr "Calculo del promedio de fechas"
+
+#. module: cost_structure
+#: field:method.price,date_prom_end:0
+msgid "Date End"
+msgstr "Fecha final"
+
+#. module: cost_structure
+#: field:cost.structure,cost_prom:0
+msgid "Prom Cost"
+msgstr "Costo promedio"
+
+#. module: cost_structure
+#: help:compute.cost,categ_ids:0
+msgid "Select the category to compute cost"
+msgstr "Seleccione la categoría a la cual se le calculara el costo"
+
+#. module: cost_structure
+#: help:update.price.list,price_list_id:0
+msgid "Select the price list for price list Report"
+msgstr "Seleccione la lista de precio para la realizar el reporte de lista de precio"
+
+#. module: cost_structure
+#: model:ir.model,name:cost_structure.model_method_price
+msgid "method.price"
+msgstr "method.price"
+
+#. module: cost_structure
+#: field:method.price,sequence:0
+msgid "Sequence"
+msgstr "Secuencia"
+
+#. module: cost_structure
+#: field:compute.cost,period_id:0
+msgid "Period"
+msgstr "Period"
+
+#. module: cost_structure
+#: help:compute.cost,product_ids:0
+msgid "Select the product to compute cost"
+msgstr "Selecciones el producto para calcular el costo"
+
+#. module: cost_structure
+#: field:product.product,method_cost_ids:0
+msgid "Method Cost"
+msgstr "Metodo de Costo"
+
+#. module: cost_structure
+#: model:ir.model,name:cost_structure.model_account_invoice
+#: field:report.cost,invoice_id:0
+msgid "Invoice"
+msgstr "Factura"
+
+#. module: cost_structure
+#: field:account.invoice,cancel_check:0
+#: view:compute.cost:0
+msgid "Cancel"
+msgstr "Cancel"
+
+#. module: cost_structure
+#: view:update.price.list:0
+msgid "Close"
+msgstr "Cerrar"
+
+#. module: cost_structure
+#: view:update.price.list:0
+msgid "Price List by Product"
+msgstr "Lista de precio por producto"
+
+#. module: cost_structure
+#: help:compute.cost,all:0
+msgid "To compute cost for all products"
+msgstr "Para calcular el costo para todos los productos"
+
+#. module: cost_structure
+#: field:cost.structure,qty_ult:0
+#: field:product.product,qty_ult:0
+msgid "Last Qty"
+msgstr "Ultima cantidad "
+
+#. module: cost_structure
+#: selection:report.cost,type_inv:0
+msgid "Customer Invoice"
+msgstr "Facturas de Cliente"
+
+#. module: cost_structure
+#: field:cost.structure,cost_suppler:0
+#: help:cost.structure,cost_suppler:0
+#: field:product.product,cost_suppler:0
+msgid "Supplier Cost"
+msgstr "Costo para proveedor"
+
+#. module: cost_structure
+#: field:cost.structure,ult_om:0
+msgid "Measuring unit of this product obtained in the invoice from cost compute"
+msgstr "Unidad de medida de este producto, obtenidad en la facturas desde el calculo de costo"
+
+#. module: cost_structure
+#: help:cost.structure,date_cost_suppler:0
+msgid "Date of last change to Supplier cost"
+msgstr "Fecha del ultimo cambio para los costos del proveedor"
+
+#. module: cost_structure
+#: help:method.price,sequence:0
+msgid "Sequence that determines the type of sales price, dependediendo customer type (Type 1, Type 2 ...)"
+msgstr "Secuencia que determina el tipo del precio de venta, dependiendo del tipo de cliente (Tipo 1, Tipo2 ...)"
+
+#. module: cost_structure
+#: field:report.cost,price_unit:0
+msgid "Unit Price"
+msgstr "Precio Unitario"
+
+#. module: cost_structure
+#: view:product.product:0
+msgid "Advance Options"
+msgstr "Opciones avanzadas"
+
+#. module: cost_structure
+#: field:compute.cost,product:0
+#: field:compute.cost,product_ids:0
+#: model:ir.model,name:cost_structure.model_product_product
+#: field:report.cost,product_id:0
+msgid "Product"
+msgstr "Producto"
+
+#. module: cost_structure
+#: field:cost.structure,prom_om:0
+msgid "Measuring unit average in move all"
+msgstr "Unidad de medida promedio en todos los movimientos "
+
+#. module: cost_structure
+#: field:cost.structure,description:0
+msgid "Description"
+msgstr "Descripción"
+
+#. module: cost_structure
+#: help:cost.structure,description:0
+msgid "Product Description"
+msgstr "Descripción del producto"
+
+#. module: cost_structure
+#: view:report.cost:0
+msgid "Price"
+msgstr "Price"
+
+#. module: cost_structure
+#: view:cost.structure:0
+#: view:product.product:0
+msgid "Costos"
+msgstr "Costos"
+
+#. module: cost_structure
+#: field:method.price,date:0
+msgid "Creation date"
+msgstr "Fecha de creación"
+
+#. module: cost_structure
+#: view:report.cost:0
+msgid "Cost"
+msgstr "Costo"
+
+#. module: cost_structure
+#: model:ir.actions.act_window,name:cost_structure.update_price_list_action
+msgid "Price List update"
+msgstr "Actualizar lista de precio"
+
+#. module: cost_structure
+#: help:compute.cost,lifo:0
+msgid "To compute cost LIFO for products"
+msgstr "Para calcular el costo FIFO por producto"
+
+#. module: cost_structure
+#: help:cost.structure,qty_ult:0
+msgid "Last Qty with compute the actual cost"
+msgstr "Ultima cantidad con la que se calculo el costo actual"
+
+#. module: cost_structure
+#: help:compute.cost,product:0
+msgid "To select compute by product"
+msgstr "Seleccion para calcular por producto"
+
+#. module: cost_structure
+#: help:method.price,unit_price:0
+msgid "Price Unit to sale"
+msgstr "Precio unitario de venta"
+
+#. module: cost_structure
+#: field:product.product,ant_om:0
+msgid "UOM Ant"
+msgstr "Ultima UDM"
+
+#. module: cost_structure
+#: help:cost.structure,date_cost_to_price:0
+msgid "Date of last change to selection cost"
+msgstr "Fecha del ultimo cambio para la selección de costo"
+
+#. module: cost_structure
+#: field:method.price,date_prom_begin:0
+msgid "Date Prom"
+msgstr "Fecha promedio"
+
+#. module: cost_structure
+#: constraint:account.invoice:0
+msgid "The Document you have been entering for this Partner has already been recorded"
+msgstr "El documento que esta intentando ingresar ya ha sido grabado en el sistema "
+
+#. module: cost_structure
+#: model:ir.model,name:cost_structure.model_account_invoice_refund
+msgid "Invoice Refund"
+msgstr "Abono factura"
+
+#. module: cost_structure
+#: model:ir.module.module,description:cost_structure.module_meta_information
+msgid ""
+"\n"
+"    Module that performs a calculation of average cost in products, \n"
+"    this module performs a search of all movements made by you for goods \n"
+"    and are assigned to cost structure.\n"
+"    This module creates a new tab in the product view, where we have the cost structure for product and price list.\n"
+"    The average cost is calculated automatically when validating an invoice or credit note, the price list is created \n"
+"    by a wizard located in the sales configuration menu.\n"
+"    The product has a list price, the sale must respect the price structure proposed by the calculation, since you will\n"
+"    not be allowed the confirmation of an operation if any of the suggested prices is not in accordance with the established ragos product price list.\n"
+"    In the menu of sale may select which type of price you want to sell the product\n"
+"    \n"
+"    \n"
+"    \n"
+"    \n"
+"    \n"
+"    "
+msgstr ""
+"\n"
+"    Module that performs a calculation of average cost in products, \n"
+"    this module performs a search of all movements made by you for goods \n"
+"    and are assigned to cost structure.\n"
+"    This module creates a new tab in the product view, where we have the cost structure for product and price list.\n"
+"    The average cost is calculated automatically when validating an invoice or credit note, the price list is created \n"
+"    by a wizard located in the sales configuration menu.\n"
+"    The product has a list price, the sale must respect the price structure proposed by the calculation, since you will\n"
+"    not be allowed the confirmation of an operation if any of the suggested prices is not in accordance with the established ragos product price list.\n"
+"    In the menu of sale may select which type of price you want to sell the product\n"
+"    \n"
+"    \n"
+"    \n"
+"    \n"
+"    \n"
+"    "
+
+#. module: cost_structure
+#: help:cost.structure,cost_ult:0
+msgid "Actual cost compute for this product"
+msgstr "Costo actual calculado para este producto"
+
+#. module: cost_structure
+#: field:compute.cost,fiscalyear_id:0
+msgid "Fiscal Year"
+msgstr "Año fiscal"
+
+#. module: cost_structure
+#: field:method.price,unit_price:0
+msgid "Price Unit"
+msgstr "Precio unitario"
+
+#. module: cost_structure
+#: field:report.cost,line_id:0
+msgid "Linea"
+msgstr "Linea"
+
+#. module: cost_structure
+#: help:cost.structure,date_cost_ant:0
+msgid "Date of last change to ant cost"
+msgstr "Fecha del ultimo cambio para el ultimo costo"
+
+#. module: cost_structure
+#: help:update.price.list,all:0
+msgid "Select this options only if you wish update all price list"
+msgstr "Seleccione esta opción solo si desea actualizar todas las listas de precio en los productos"
+
+#. module: cost_structure
+#: help:cost.structure,cost_prom:0
+msgid "Avarage Cost for this product"
+msgstr "Costo promedio para este producto"
+
+#. module: cost_structure
+#: help:cost.structure,date_prom_om:0
+msgid "Date of last change to avarage UOM"
+msgstr "Fecha del ultimo cambio para la UDM promedio"
+
+#. module: cost_structure
+#: constraint:product.product:0
+msgid "Error: Invalid ean code"
+msgstr "Error: Código EAN erróneo"
+
+#. module: cost_structure
+#: constraint:product.product:0
+msgid "ERROR, product already exists for this company"
+msgstr "ERROR, el producto ya existe para esta compañia "
+
+#. module: cost_structure
+#: selection:report.cost,type_inv:0
+msgid "Supplier Refund"
+msgstr "Nota de credito de compra"
+
+#. module: cost_structure
+#: help:method.price,date_prom_begin:0
+msgid "Compute Date Prom"
+msgstr "Calculo de fecha promedio"
+
+#. module: cost_structure
+#: field:compute.cost,bolfili:0
+msgid "Boolean FIFO LIFO"
+msgstr "Boolean FIFO LIFO"
+

=== added directory 'price_structure/model'
=== added file 'price_structure/model/__init__.py'
--- price_structure/model/__init__.py	1970-01-01 00:00:00 +0000
+++ price_structure/model/__init__.py	2013-03-20 19:12:38 +0000
@@ -0,0 +1,3 @@
+import product_product
+import product_pricelist
+import sale

=== added file 'price_structure/model/product_pricelist.py'
--- price_structure/model/product_pricelist.py	1970-01-01 00:00:00 +0000
+++ price_structure/model/product_pricelist.py	2013-03-20 19:12:38 +0000
@@ -0,0 +1,127 @@
+#!/usr/bin/python
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
+#    All Rights Reserved
+###############Credits######################################################
+#    Coded by: Vauxoo C.A.           
+#    Planified by: Nhomar Hernandez
+#    Audited by: Vauxoo C.A.
+#############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+################################################################################
+
+from osv import fields, osv
+import tools
+from tools.translate import _
+import decimal_precision as dp
+
+class inherit_price_list_item(osv.osv):
+    """ """
+    def default_get(self, cr, uid, fields, context=None):
+        '''test context '''
+        if context is None:
+            context = {}
+    
+        res = super(inherit_price_list_item, self).default_get(cr, uid, fields, context=context)
+        res.update({'product_id':context.get('create_item',False)}) 
+        version = context.get('versions',False)
+        version and res.update({'price_version_id':version and version[0] \
+                                               and version[0][2] \
+                                               and version[0][2][0]}) 
+
+        return res
+       
+    
+    def _get_price_list(self, cr, uid, ids, field_name, arg, context=None):
+        
+        if context is None:
+            context = {}
+        res = {}
+        for item in self.browse(cr,uid,ids,context=context):
+            res[item.id] = item.price_version_id and item.price_version_id.pricelist_id and \
+                                                     item.price_version_id.pricelist_id.id  
+        
+        return res
+        
+
+    def _compute_price(self, cr, uid, ids, field_name, arg, context=None):
+        
+        if context is None:
+            context = {}
+        res = {}
+        product_obj = self.pool.get('product.product')
+        pricelist_obj = self.pool.get('product.pricelist')
+        if context.get('product',False):
+            for item in self.browse(cr,uid,ids,context=context):
+                price = pricelist_obj.price_get(cr, uid, [item.price_list_id and \
+                                                       item.price_list_id.id],
+                                                       context.get('product'), 1, context=context)
+                
+                price = item.price_list_id and price.get(item.price_list_id.id)
+
+                res[item.id] = price
+        else:
+            
+            for item in self.browse(cr,uid,ids,context=context):
+                if item.product_id:
+                    price = pricelist_obj.price_get(cr, uid, [item.price_list_id and \
+                                                           item.price_list_id.id],
+                                                           item.product_id.id, 1, context=context)
+                    
+                    price = item.price_list_id and price.get(item.price_list_id.id)
+
+                    res[item.id] = price
+        
+                elif item.product_active_id:
+                    price = pricelist_obj.price_get(cr, uid, [item.price_list_id and \
+                                                           item.price_list_id.id],
+                                                           item.product_active_id and item.product_active_id.id,
+                                                            1, context=context)
+                    price = item.price_list_id and price.get(item.price_list_id.id)
+
+                    res[item.id] = price
+                    
+            
+        return res
+        
+
+    
+    _inherit='product.pricelist.item'
+
+    _columns={
+    'price_list_id':fields.function(_get_price_list,method=True,type='many2one',relation='product.pricelist',string='Price LIst'),
+    'compute_price':fields.function(_compute_price,method=True,type='float',string='Price'),
+    'price_version_id': fields.many2one('product.pricelist.version', 'Price List Version', required=True, select=True, ondelete='cascade'),
+    'product_active_id': fields.many2one('product.product', 'product',help='Product active to list price'),
+    'date_start':fields.related('price_version_id','date_start',type='date',string='Date Start'),
+    'date_end':fields.related('price_version_id','date_end',type='date',string='Date End'),
+    }
+
+    _defaults={
+    'sequence':1,
+    'base':2,
+        }
+
+    _order='price_discount desc'
+
+    def delete_record(self,cr,uid,ids,context=None):
+        if context is None:
+            context={} 
+        return ids and self.unlink(cr,uid,ids,context=context)
+        
+inherit_price_list_item()
+
+

=== added file 'price_structure/model/product_product.py'
--- price_structure/model/product_product.py	1970-01-01 00:00:00 +0000
+++ price_structure/model/product_product.py	2013-03-20 19:12:38 +0000
@@ -0,0 +1,123 @@
+#!/usr/bin/python
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
+#    All Rights Reserved
+###############Credits######################################################
+#    Coded by: Vauxoo C.A.           
+#    Planified by: Nhomar Hernandez
+#    Audited by: Vauxoo C.A.
+#############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+################################################################################
+
+from osv import fields, osv
+import tools
+from tools.translate import _
+from tools import config
+import netsvc
+import decimal_precision as dp
+from tools.sql import drop_view_if_exists
+
+class product_product(osv.osv):
+    
+    _inherit = 'product.product'
+    
+
+    def _search_price_list_item_c(self, cr, uid, ids, field_name, arg, context={}):
+        item_obj = self.pool.get('product.pricelist.item')
+        res = {}
+        for product in self.browse(cr,uid,ids,context=context):
+            item_ids = item_obj.search(cr,uid,[('categ_id','=',product.categ_id.id)],context=context)
+            if context.get('query',True):
+                sql_str = item_ids and len(ids) == 1 and '''UPDATE product_pricelist_item set
+                                product_active_id=%d
+                                WHERE id %s %s '''%(product.id,len(item_ids) > 1 and 'in' or '=',len(item_ids) > 1 and tuple(item_ids) or item_ids[0])
+                sql_str and cr.execute(sql_str)
+                item_ids and len(ids) == 1 and cr.commit()
+            res[product.id] = item_ids
+
+        return res
+
+
+    def _search_price_list_item_p(self, cr, uid, ids, field_name, arg, context={}):
+        
+        item_obj = self.pool.get('product.pricelist.item')
+        res = {}
+        for product in self.browse(cr,uid,ids,context=context):
+            item_ids = item_obj.search(cr,uid,[('product_id','=',product.id)],context=context)
+            if context.get('query',True):
+                sql_str = item_ids and len(ids) == 1 and '''UPDATE product_pricelist_item set
+                                product_active_id=%d
+                                WHERE id %s %s '''%(product.id,len(item_ids) > 1 and 'in' or '=',len(item_ids) > 1 and tuple(item_ids) or item_ids[0])
+                sql_str and cr.execute(sql_str)
+                item_ids and len(ids) == 1 and cr.commit()
+            res[product.id] = item_ids
+        return res
+    
+    def _write_price_list_item_p(obj, cr, uid, id, name, value, fnct_inv_arg, context={}):
+        for val in value:
+            if val[0] == 1 :
+                sql_str = val[2].get('price_discount',False) and """UPDATE product_pricelist_item set
+                            price_discount='%s'
+                            WHERE id=%d """ % (val[2].get('price_discount'), val[1]) 
+                val[2].get('price_discount',False) and cr.execute(sql_str)
+        return True
+
+
+
+
+    _columns = {
+    #'price_list_item_ids':fields.one2many('product.pricelit.item','product_id','Price List Item',help='Percent to compute cost from Price list item'),
+    'price_list_item_ids': fields.function(_search_price_list_item_p, relation='product.pricelist.item',fnct_inv=_write_price_list_item_p,method=True, string="Price item by product", type='one2many'),
+    'category_item_ids': fields.function(_search_price_list_item_c, relation='product.pricelist.item', method=True, string="Price item by category", type='one2many'),
+
+    }
+    
+product_product()
+
+
+class inherit_product_category(osv.osv):
+    """ """
+    
+    _inherit='product.category'
+
+
+    def _search_price_list_item(self, cr, uid, ids, field_name, arg, context={}):
+        
+        item_obj = self.pool.get('product.pricelist.item')
+        res = {}
+        for category in self.browse(cr,uid,ids,context=context):
+            res[category.id] = item_obj.search(cr,uid,[('categ_id','=',category.id)],context=context)
+        return res
+
+
+    def _write_price_list_item(obj, cr, uid, id, name, value, fnct_inv_arg, context={}):
+        for val in value:
+            if val[0] == 1 :
+                sql_str = val[2].get('price_discount',False) and """UPDATE product_pricelist_item set
+                            price_discount='%s'
+                            WHERE id=%d """ % (val[2].get('price_discount'), val[1]) 
+                val[2].get('price_discount',False) and cr.execute(sql_str)
+                cr.commit()
+        return True
+
+    _columns={
+    'price_list_item_ids': fields.function(_search_price_list_item, relation='product.pricelist.item',fnct_inv=_write_price_list_item,method=True, string="Price item by category", type='one2many'),
+    
+    }
+
+inherit_product_category()
+

=== added file 'price_structure/model/sale.py'
--- price_structure/model/sale.py	1970-01-01 00:00:00 +0000
+++ price_structure/model/sale.py	2013-03-20 19:12:38 +0000
@@ -0,0 +1,179 @@
+#!/usr/bin/python
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
+#    All Rights Reserved
+###############Credits######################################################
+#    Coded by: Vauxoo C.A.           
+#    Planified by: Nhomar Hernandez
+#    Audited by: Vauxoo C.A.
+#############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+################################################################################
+
+from osv import fields, osv
+import tools
+from tools.translate import _
+from tools import config
+import netsvc
+import decimal_precision as dp
+
+
+class sale_order_line(osv.osv):
+    
+    def product_id_change(self, cr, uid, ids, pricelist, product, qty=0,        
+            uom=False, qty_uos=0, uos=False, name='', partner_id=False,
+            lang=False, update_tax=True, date_order=False, packaging=False, fiscal_position=False, flag=False,context=None):
+        '''
+        Overridden the method of product line sales, to replace the unit price calculation and selection of the cost structure 
+        that handles the product, and later to filter the prices for the product selected
+        '''
+            
+        if context is None:
+            context ={}
+        price_obj = self.pool.get('product.pricelist')
+        product_obj = self.pool.get('product.product')
+        product_brw = product and product_obj.browse(cr,uid,product,context=context)
+        res = super(sale_order_line,self).product_id_change(cr, uid, ids, pricelist, product, qty=qty,
+            uom=uom, qty_uos=qty_uos, uos=uos, name=name, partner_id=partner_id,
+            lang=lang, update_tax=update_tax, date_order=date_order, packaging=packaging, fiscal_position=fiscal_position, flag=flag,context=context)
+        if context.get('price_change',False):
+            price = price_obj.price_get(cr, uid, [context.get('price_change',False)], product, qty, context=context)
+            res.get('value',{}).update({'price_unit': round(price.get(context.get('price_change',False)),2)})
+        res.get('value',False) and product_brw and product_brw.categ_id and res.get('value',False).update({'categ_id':product_brw.categ_id.id })
+        res.get('value',False) and 'price_unit' in res.get('value',False)  and res['value'].pop('price_unit') 
+        return res
+    
+    
+    def price_unit(self,cr,uid,ids,price_list,product_id,qty,context=None):
+        '''
+        Calculating the amount of model _compute_price method product.uom
+        '''
+        if context is None:
+            context = {}
+        res = {'value':{}}
+        if price_list and product_id and qty:
+            price_obj = self.pool.get('product.pricelist')
+            price = price_obj.price_get(cr, uid, [price_list], product_id, qty, context=context)
+            res['value'].update({'price_unit': round(price.get(price_list),2)})
+        return res
+    #
+    _inherit = 'sale.order.line'
+    _columns = {
+        'product_id': fields.many2one('product.product', 'Product', domain=[('sale_ok', '=', True)], change_default=True),
+        'price_list_ids':fields.many2one('product.pricelist','Select Price'),
+        'cost_structure_id':fields.many2one('cost.structure','Cost Structure'),
+        'categ_id':fields.many2one('product.category','Category',help='Category by product selected'),
+    
+    }
+    
+sale_order_line()
+
+class sale_order(osv.osv):
+   
+   
+    
+    _inherit = 'sale.order'
+    
+        
+    def _price_status(self, cr, uid, ids, field_name, arg, context=None):
+        '''
+        Check That the products sold are not sold at a price less than or greater than the price rago allocated in the product. 
+        Failure to comply with this will print a message informing the product that is not complying with this requirement
+        '''
+        if context is None:
+            context = {}
+        if not ids:
+            return {}
+        res = {}
+        product = []
+        context.update({'query':False})
+        pricelist_obj = self.pool.get('product.pricelist')
+        for order in len(ids) == 1 and self.browse(cr,uid,ids,context=context) or []:
+            for line in order.order_line:
+                price_compute = line.product_id and [ pricelist_obj.price_get(cr, uid, [i.price_list_id and i.price_list_id.id ],
+                                                      line.product_id.id, line.product_uom_qty, context=context).get(i.price_list_id.id) for i in line.product_id.price_list_item_ids or line.product_id.category_item_ids]
+                
+                property_cost_structure = line and line.product_id and line.product_id.property_cost_structure and line.product_id.property_cost_structure.id or False
+                if property_cost_structure and len(price_compute) == len([i for i in price_compute if round(line.price_unit,2) < round(i,2)]):
+                    product.append(u'Intenta vender el producto %s a un precio menor al estimado para su venta'%line.product_id.name)
+                    res[order.id] = {'status_bool':True}
+                
+                elif property_cost_structure and len(price_compute) == len([i for i in price_compute if round(line.price_unit,2) > round(i,2)]):
+                    product.append(u'Intenta vender el producto %s a un precio mayor al estimado para su venta'%line.product_id.name)
+                    res[order.id] = {'status_bool':True}
+                
+                
+                elif not property_cost_structure:
+                    product.append(u'El producto %s no tiene una estructura de costo'%line.product_id.name)
+                    res[order.id] = {'status_bool':True}
+            
+            if product:
+                res[order.id] = '\n'.join(product)            
+            else:
+                res[order.id] = {'status_bool':False}
+                product = []
+                res[order.id] = '\n'.join(product)  
+                
+        return res
+        
+        
+    _columns = {
+    
+        'status_price':fields.function(_price_status, method=True,type="text", store=True, string='Status Price'),
+        'status_bool':fields.function(_price_status, method=True,type="boolean", string='Status Price'),
+        
+    }
+    
+    _defaults = {
+    'status_bool':False
+    
+    
+    }
+    
+    def price_unit_confirm(self,cr,uid,ids,context=None):
+        '''
+        Workflow condition does not allow the sale process if at least one product is being sold in the price range set out in its cost structure
+        '''
+        if context is None:
+            context = {}
+        product = []
+        context.update({'query':False})
+        sale_brw = self.browse(cr,uid,ids and ids[0],context=context)
+        pricelist_obj = self.pool.get('product.pricelist')
+        for line in len(ids) == 1 and sale_brw.order_line or []:
+            property_cost_structure = line and line.product_id and line.product_id.property_cost_structure and line.product_id.property_cost_structure.id or False
+            price_compute = line.product_id and [ pricelist_obj.price_get(cr, uid, [i.price_list_id and i.price_list_id.id ],
+                                                      line.product_id.id, line.product_uom_qty, context=context).get(i.price_list_id.id) for i in line.product_id.price_list_item_ids or line.product_id.category_item_ids]
+                            
+            if property_cost_structure and len(price_compute) == len([i for i in price_compute if round(line.price_unit,2) < round(i,2)]):
+                product.append(u'Intenta vender el producto %s a un precio menor al estimado para su venta'%line.product_id.name)
+        
+            elif property_cost_structure and len(price_compute) == len([i for i in price_compute if round(line.price_unit,2) > round(i,2)]):
+                product.append(u'Intenta vender el producto %s a un precio mayor al estimado para su venta'%line.product_id.name)
+
+
+            elif not property_cost_structure:
+                product.append(u'The product %s has not a cost structure'%line.product_id.name)
+                    
+        if len(product) > 0:
+            raise osv.except_osv(_('Error'), _('\n'.join(product)))
+       
+        return True
+    
+    
+sale_order()
+
+

=== added directory 'price_structure/report'
=== added directory 'price_structure/security'
=== added directory 'price_structure/view'
=== added file 'price_structure/view/product_pricelist_view.xml'
--- price_structure/view/product_pricelist_view.xml	1970-01-01 00:00:00 +0000
+++ price_structure/view/product_pricelist_view.xml	2013-03-20 19:12:38 +0000
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+  <data>
+    <record model="ir.ui.view" id="inherit_price_list_item_cost_structure">
+      <field name="name">inherit_price_list_item_cost_structure</field>
+      <field name="model">product.pricelist.item</field>
+      <field name="inherit_id" ref="product.product_pricelist_item_tree_view" />
+      <field name="type">form</field>
+      <field name="arch" type="xml">
+        <xpath expr='//field[@name="sequence"]' position="after">
+        <field name='price_list_id' />
+        </xpath>
+      </field>
+    </record>
+  </data>
+</openerp>

=== added file 'price_structure/view/product_view.xml'
--- price_structure/view/product_view.xml	1970-01-01 00:00:00 +0000
+++ price_structure/view/product_view.xml	2013-03-20 19:12:38 +0000
@@ -0,0 +1,78 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+  <data>
+    <record model="ir.ui.view" id="product_price_structure_view_form">
+      <field name="name">product.normal.form</field>
+      <field name="model">product.product</field>
+      <field name="inherit_id" ref="product.product_normal_form_view" />
+      <field name="type">form</field>
+      <field name="arch" type="xml">
+        <xpath expr='//page[@string="Advance Options"]' position="after">
+          <page string="List Price Item">
+            <separator string="Price list by Product" colspan="6"/>
+            <field name='price_list_item_ids' context="{'product':'active_id'}" nolabel="1" >
+            <tree string="By Product" editable="bottom" >
+            <field name='sequence' context="{'product':'active_id'}" />
+            <field name='price_list_id' />
+            <field name='name' />
+            <field name='product_id' />
+            <field name='price_discount' />
+             <field name='compute_price' />
+            <field name='price_round' />
+            <field name='price_min_margin' />
+            <field name='price_max_margin' />
+            <field name='date_start' />
+            <field name='date_end' />
+            <button name="delete_record" string="Delete" type="object" confirm="Are you sure ?" icon="gtk-execute"/>
+            </tree>
+            </field>
+            <newline/>
+            <separator string="Price list by Category" colspan="6"/>
+            <field name='category_item_ids'  context="{'product':'active_id'}" readonly="1" nolabel="1" >
+             <tree string="By Category" editable="bottom">
+            <field name='sequence' context="{'product':'active_id'}"/>
+            <field name='price_list_id' />
+            <field name='name' />
+            <field name='product_id' />
+            <field name='price_discount' />
+             <field name='compute_price' />
+            <field name='price_round' />
+            <field name='price_min_margin' />
+            <field name='price_max_margin' />
+             <field name='date_start' />
+            <field name='date_end' />
+             <button name="delete_record" string="Delete" type="object" confirm="Are you sure ?" icon="gtk-execute"/>
+            </tree>
+            </field>
+          </page>
+        </xpath>
+      </field>
+    </record>
+    <record model="ir.ui.view" id="inherit_product_category_price_structure">
+      <field name="name">inherit_product_category_cost_structure</field>
+      <field name="model">product.category</field>
+      <field name="inherit_id" ref="product.product_category_form_view" />
+      <field name="type">form</field>
+      <field name="arch" type="xml">
+        <xpath expr='//field[@name="type"]' position="after">
+              <field name='price_list_item_ids' context="{'product':'active_id'}" colspan="6" nolabel="1" >
+            <tree string="By Category" editable="bottom" >
+            <field name='sequence' context="{'product':'active_id'}" />
+            <field name='price_list_id' />
+            <field name='name' />
+            <field name='price_discount' />
+            <field name='price_round' />
+            <field name='price_min_margin' />
+            <field name='price_max_margin' />
+            <field name='date_start' />
+            <field name='date_end' />
+            <button name="delete_record" string="Delete" type="object" confirm="Are you sure ?" icon="gtk-execute"/>
+            </tree>
+            </field>
+              
+            
+        </xpath>
+      </field>
+    </record>
+  </data>
+</openerp>

=== added file 'price_structure/view/sale_view.xml'
--- price_structure/view/sale_view.xml	1970-01-01 00:00:00 +0000
+++ price_structure/view/sale_view.xml	2013-03-20 19:12:38 +0000
@@ -0,0 +1,52 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+  <data>
+   <record model="ir.ui.view" id="sale_view_order_method_cost">
+      <field name="name">sale_view_order_method_cost</field>
+      <field name="model">sale.order</field>
+      <field name="inherit_id" ref="sale.view_order_form" />
+      <field name="type">form</field>
+      <field name="arch" type="xml">
+    
+    <xpath expr='//tree/field[@name="product_id"]' position="replace">
+    <field colspan="4"
+        context="{'partner_id':parent.partner_id, 'quantity':product_uom_qty, 'pricelist':parent.pricelist_id, 'shop':parent.shop_id, 'uom':product_uom}"
+    name="product_id"
+    on_change="product_id_change(parent.pricelist_id,product_id,product_uom_qty,product_uom,product_uos_qty,product_uos,name,parent.partner_id, False, True, parent.date_order, product_packaging, parent.fiscal_position, False)"
+    />
+    </xpath>
+    
+    
+        <xpath expr='//tree/field[@name="product_uom_qty"]' position="replace">
+    
+     <field
+        context="{'price_change':price_list_ids,'partner_id':parent.partner_id, 'quantity':product_uom_qty, 'pricelist':parent.pricelist_id, 'shop':parent.shop_id, 'uom':product_uom}"
+                name="product_uom_qty"
+                on_change="product_id_change(parent.pricelist_id,product_id,product_uom_qty,product_uom,product_uos_qty,product_uos,name,parent.partner_id, False, False, parent.date_order, product_packaging, parent.fiscal_position, True,context)"
+                />
+        </xpath>
+        <xpath expr='//tree/field[@name="product_uom_qty"]' position="after">
+          
+          <field name="categ_id" invisible="1" />
+          <field name="price_list_ids"  domain="['|',('version_id.items_id.product_id','=',product_id),('version_id.items_id.categ_id','=',categ_id)]" on_change="price_unit(price_list_ids,product_id,product_uom_qty)" />
+        </xpath>
+        
+        
+        <xpath expr='//field[@name="order_line"]' position="before">
+          <group colspan="9" col="9">
+         
+         
+          <field name="status_price" attrs="{'invisible': [('status_bool', '=', False)]}" nolabel="1" />
+          <field name="status_bool" invisible="1" />
+          
+          </group>
+          
+        </xpath>
+        
+        
+        
+        
+      </field>
+    </record>
+  </data>
+</openerp>

=== added directory 'price_structure/wizard'
=== added file 'price_structure/wizard/__init__.py'
--- price_structure/wizard/__init__.py	1970-01-01 00:00:00 +0000
+++ price_structure/wizard/__init__.py	2013-03-20 19:12:38 +0000
@@ -0,0 +1,1 @@
+import create_list_price

=== added file 'price_structure/wizard/create_list_price.py'
--- price_structure/wizard/create_list_price.py	1970-01-01 00:00:00 +0000
+++ price_structure/wizard/create_list_price.py	2013-03-20 19:12:38 +0000
@@ -0,0 +1,83 @@
+#!/usr/bin/python
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
+#    All Rights Reserved
+###############Credits######################################################
+#    Coded by: Vauxoo C.A.           
+#    Planified by: Nhomar Hernandez
+#    Audited by: Vauxoo C.A.
+#############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+################################################################################
+
+from osv import fields
+from osv import osv
+from tools.translate import _
+
+class virtual_items(osv.osv_memory):
+    
+    '''Create items by product'''
+    
+    _name = 'virtual.items'
+    
+    _columns = {
+            'price_create_id':fields.many2one('create.price.list', 'List'), 
+            'items_id':fields.many2one('product.pricelist.item', 'List items', help='items by roduct'), 
+            
+            }
+
+virtual_items()
+
+
+class create_price_list(osv.osv_memory):
+    
+    '''Create price list to new product'''
+   
+    def default_get(self, cr, uid, fields, context=None):
+        '''Add product'''
+        if context is None:
+            context = {}
+        res = super(create_price_list, self).default_get(cr, uid, fields, context=context)
+        res.update({'product_id':context.get('active_id',False)}) 
+    
+        return res
+    
+
+    _name = 'create.price.list'
+    
+    _columns = {
+            'version_ids':fields.many2many('product.pricelist.version', 'version_to_item_create', 'wz_id', 'version_id', 'Versions', help='Version from price_list'), 
+            'pricelist_id':fields.many2one('product.pricelist', 'Price List', help='Price list to create version'), 
+            
+            'pricelist_ids': fields.one2many('virtual.items', 'price_create_id', 'Items', help='Create items for this product'), 
+           
+            'product_id':fields.many2one('product.product', 'Product', help='Product'), 
+            
+            
+            }
+
+    def onchage_versions(self, cr, uid, ids, pricelist, context=None):
+        if context is None:
+            context = {}
+        version_obj = self.pool.get('product.pricelist.version')
+        
+        if pricelist:
+           version_ids = version_obj.search(cr, uid, [('pricelist_id','=',pricelist)], context=context)
+           
+        return {'value':{'version_ids':version_ids}}
+    
+create_price_list()
+

=== added file 'price_structure/wizard/create_list_price_view.xml'
--- price_structure/wizard/create_list_price_view.xml	1970-01-01 00:00:00 +0000
+++ price_structure/wizard/create_list_price_view.xml	2013-03-20 19:12:38 +0000
@@ -0,0 +1,73 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+  <data>
+      <record id="virtual_items_view_form" model="ir.ui.view">
+      <field name="name">virtual.items.wizard.form</field>
+      <field name="model">virtual.items</field>
+      <field name="type">form</field>
+      <field name="arch" type="xml">
+        <form string="create.price.list">
+            <field name="items_id" />
+        </form>
+      </field>
+    </record>
+    
+      <record id="virtual_items_view_tree" model="ir.ui.view">
+      <field name="name">virtual.items.wizard.tree</field>
+      <field name="model">virtual.items</field>
+      <field name="type">tree</field>
+      <field name="arch" type="xml">
+        <tree string="create.price.list">
+            <field name="items_id" />
+        </tree>
+      </field>
+    </record>
+
+     <record id="create_price_list_action" model="ir.actions.act_window">           
+        <field name="name">Price List create</field>                        
+        <field name="type">ir.actions.act_window</field>                    
+        <field name="res_model">virtual.items</field>                   
+        <field name="view_type">form</field>                                
+        <field name="view_mode">form</field>                                
+        <field name="target">new</field>                                    
+    </record> 
+      
+      <record id="create_price_list" model="ir.ui.view">
+      <field name="name">create.price.list.wizard.form</field>
+      <field name="model">create.price.list</field>
+      <field name="type">form</field>
+      <field name="arch" type="xml">
+        <form string="create.price.list">
+            <field name="pricelist_id"  widget="selection" on_change="onchage_versions(pricelist_id)" />
+            <field name="product_id" invisible="1" />
+            <field name="version_ids" view_mode="tree,form" nolabel="1" width="460" height="250">
+                <tree editable='bottom'>
+                    <field name="name" />
+                </tree>
+                <form>
+                    <field name="name" />
+                </form>
+        </field>
+       <field name="pricelist_ids"  nolabel="1" width="460" height="250">
+                <tree string="Items" editable='bottom' >
+                    <field name="items_id" context="{'create_item':parent.product_id,'versions':parent.version_ids}" />
+                </tree>
+                <form>
+                    <field name="items_id" context="'create_item':parent.product_id, 'versions':parent.version_ids}"/>
+                </form>
+        </field>
+  
+
+        <button special="cancel" string="Close" icon="gtk-cancel"/>
+        </form>
+      </field>
+    </record>
+    
+    
+    <act_window name = 'Create Items'
+            src_model = 'product.product'
+  res_model = 'create.price.list'
+  id='create_price_list_product_dispon_records_wizard_action' view_mode='form,tree' view_type="form" target='new' key2='client_action_multi'/>
+    
+  </data>
+</openerp>

=== added directory 'price_structure/workflow'
=== added file 'price_structure/workflow/sale_workflow.xml'
--- price_structure/workflow/sale_workflow.xml	1970-01-01 00:00:00 +0000
+++ price_structure/workflow/sale_workflow.xml	2013-03-20 19:12:38 +0000
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+
+        <record id="sale.trans_draft_router" model="workflow.transition">
+            <field name="act_from" ref="sale.act_draft"/>
+            <field name="act_to" ref="sale.act_router"/>
+            <field name="signal">order_confirm</field>
+            <field name="condition">price_unit_confirm()</field>
+        </record>
+
+    </data>
+</openerp>

